object Dish_Editor_Form: TDish_Editor_Form
  Left = 150
  Top = 0
  Caption = #1056#1077#1076#1072#1082#1090#1086#1088' '#1073#1083#1102#1076
  ClientHeight = 694
  ClientWidth = 1017
  Padding.Left = 8.000000000000000000
  Padding.Top = 8.000000000000000000
  Padding.Right = 8.000000000000000000
  Padding.Bottom = 8.000000000000000000
  Position = ScreenCenter
  StyleBook = Main_Form.StyleBook
  FormFactor.Width = 320
  FormFactor.Height = 480
  FormFactor.Devices = [Desktop]
  OnClose = FormClose
  OnShow = FormShow
  Left = 150
  DesignerMasterStyle = 0
  object GroupBox1: TGroupBox
    Align = Top
    StyledSettings = [Family, Style, FontColor, Other]
    Padding.Left = 16.000000000000000000
    Padding.Top = 24.000000000000000000
    Padding.Right = 16.000000000000000000
    Padding.Bottom = 16.000000000000000000
    Position.X = 8.000000000000000000
    Position.Y = 8.000000000000000000
    Size.Width = 1001.000000000000000000
    Size.Height = 81.000000000000000000
    Size.PlatformDefault = False
    Text = #1050#1072#1090#1077#1075#1086#1088#1080#1080
    TextSettings.Font.Size = 16.000000000000000000
    TabOrder = 0
    object ComboBox_categories: TComboBox
      Align = Client
      Margins.Right = 16.000000000000000000
      Size.Width = 703.000000000000000000
      Size.Height = 41.000000000000000000
      Size.PlatformDefault = False
      TabOrder = 0
    end
    object Layout1: TLayout
      Align = Right
      Position.X = 735.000000000000000000
      Position.Y = 24.000000000000000000
      Size.Width = 250.000000000000000000
      Size.Height = 41.000000000000000000
      Size.PlatformDefault = False
      TabOrder = 1
      object Btn_category_add: TSpeedButton
        Align = Left
        StyledSettings = [Family, FontColor]
        Size.Width = 80.000000000000000000
        Size.Height = 41.000000000000000000
        Size.PlatformDefault = False
        StyleLookup = 'buttonstyle'
        Text = #1044#1086#1073#1072#1074#1080#1090#1100
        TextSettings.Font.Size = 14.000000000000000000
        TextSettings.Font.StyleExt = {00020000000000000004000000}
        OnClick = Btn_category_addClick
      end
      object Btn_category_del: TSpeedButton
        Align = Right
        StyledSettings = [Family, FontColor]
        Position.X = 170.000000000000000000
        Size.Width = 80.000000000000000000
        Size.Height = 41.000000000000000000
        Size.PlatformDefault = False
        StyleLookup = 'buttonstyle'
        Text = #1059#1076#1072#1083#1080#1090#1100
        TextSettings.Font.Size = 14.000000000000000000
        TextSettings.Font.StyleExt = {00020000000000000004000000}
        OnClick = Btn_category_delClick
      end
      object Btn_category_edit: TSpeedButton
        Align = HorzCenter
        StyledSettings = [Family, FontColor]
        Position.X = 85.000000000000000000
        Size.Width = 80.000000000000000000
        Size.Height = 41.000000000000000000
        Size.PlatformDefault = False
        StyleLookup = 'buttonstyle'
        Text = #1048#1079#1084#1077#1085#1080#1090#1100
        TextSettings.Font.Size = 14.000000000000000000
        TextSettings.Font.StyleExt = {00020000000000000004000000}
        OnClick = Btn_category_editClick
      end
    end
  end
  object GroupBox2: TGroupBox
    Align = Client
    StyledSettings = [Family, Style, FontColor, Other]
    Padding.Left = 16.000000000000000000
    Padding.Top = 24.000000000000000000
    Padding.Right = 16.000000000000000000
    Padding.Bottom = 16.000000000000000000
    Size.Width = 1001.000000000000000000
    Size.Height = 597.000000000000000000
    Size.PlatformDefault = False
    Text = #1057#1087#1080#1089#1086#1082' '#1073#1083#1102#1076
    TextSettings.Font.Size = 16.000000000000000000
    TabOrder = 4
    object Layout2: TLayout
      Align = MostLeft
      Margins.Right = 16.000000000000000000
      Position.X = 16.000000000000000000
      Position.Y = 156.000000000000000000
      Size.Width = 249.000000000000000000
      Size.Height = 385.000000000000000000
      Size.PlatformDefault = False
      TabOrder = 0
      object Listbox_product: TListBox
        Tag = 1
        Align = Client
        Size.Width = 249.000000000000000000
        Size.Height = 360.000000000000000000
        Size.PlatformDefault = False
        TabOrder = 0
        OnDblClick = Listbox_productDblClick
        DisableFocusEffect = True
        ItemIndex = 0
        ItemHeight = 24.000000000000000000
        Items.Strings = (
          #1047#1077#1083#1077#1085#1100
          #1050#1088#1072#1073#1086#1074#1099#1077' '#1087#1072#1083#1086#1095#1082#1080
          #1050#1091#1082#1091#1088#1091#1079#1072
          #1052#1072#1081#1086#1085#1077#1079
          #1056#1080#1089
          #1057#1086#1083#1100
          #1071#1081#1094#1072)
        DefaultItemStyles.ItemStyle = ''
        DefaultItemStyles.GroupHeaderStyle = ''
        DefaultItemStyles.GroupFooterStyle = ''
        Sorted = True
        Viewport.Width = 245.000000000000000000
        Viewport.Height = 324.000000000000000000
        object SearchBox1: TSearchBox
          Touch.InteractiveGestures = [LongTap, DoubleTap]
          Align = Top
          TabOrder = 0
          Size.Width = 245.000000000000000000
          Size.Height = 32.000000000000000000
          Size.PlatformDefault = False
        end
      end
      object Label1: TLabel
        Align = Top
        StyledSettings = [Family, Style, FontColor]
        Size.Width = 249.000000000000000000
        Size.Height = 25.000000000000000000
        Size.PlatformDefault = False
        TextSettings.Font.Size = 16.000000000000000000
        Text = #1042#1089#1077' '#1087#1088#1086#1076#1091#1082#1090#1099
        TabOrder = 1
      end
    end
    object Layout3: TLayout
      Align = MostTop
      Margins.Bottom = 16.000000000000000000
      Position.X = 16.000000000000000000
      Position.Y = 24.000000000000000000
      Size.Width = 969.000000000000000000
      Size.Height = 40.000000000000000000
      Size.PlatformDefault = False
      TabOrder = 3
      object SpeedButton2: TSpeedButton
        Align = Right
        StyledSettings = [Family, FontColor]
        Margins.Left = 5.000000000000000000
        Position.X = 847.000000000000000000
        Size.Width = 122.000000000000000000
        Size.Height = 40.000000000000000000
        Size.PlatformDefault = False
        StyleLookup = 'buttonstyle'
        Text = #1059#1076#1072#1083#1080#1090#1100
        TextSettings.Font.Size = 14.000000000000000000
        TextSettings.Font.StyleExt = {00020000000000000004000000}
      end
      object SpeedButton3: TSpeedButton
        Align = Right
        StyledSettings = [Family, FontColor]
        Margins.Left = 5.000000000000000000
        Position.X = 720.000000000000000000
        Size.Width = 122.000000000000000000
        Size.Height = 40.000000000000000000
        Size.PlatformDefault = False
        StyleLookup = 'buttonstyle'
        Text = #1048#1079#1084#1077#1085#1080#1090#1100
        TextSettings.Font.Size = 14.000000000000000000
        TextSettings.Font.StyleExt = {00020000000000000004000000}
      end
      object ComboBox_dish_list: TComboBox
        Align = Left
        Margins.Right = 16.000000000000000000
        Size.Width = 705.000000000000000000
        Size.Height = 40.000000000000000000
        Size.PlatformDefault = False
        TabOrder = 0
      end
    end
    object SG_dishmap: TStringGrid
      Align = Top
      CanFocus = True
      ClipChildren = True
      Position.X = 281.000000000000000000
      Position.Y = 156.000000000000000000
      Size.Width = 663.000000000000000000
      Size.Height = 381.000000000000000000
      Size.PlatformDefault = False
      TabOrder = 4
      RowCount = 0
      OnEditingDone = SG_dishmapEditingDone
      Viewport.Width = 659.000000000000000000
      Viewport.Height = 356.000000000000000000
      object StringColumn1: TStringColumn
        Header = #1053#1072#1079#1074#1072#1085#1080#1077' '#1087#1088#1086#1076#1091#1082#1090#1072
        Size.Width = 300.000000000000000000
      end
      object StringColumn5: TStringColumn
        Header = #1050#1086#1083'-'#1074#1086' '#1074' '#1073#1083#1102#1076#1077
      end
      object StringColumn3: TStringColumn
        Header = #1062#1077#1085#1072
      end
      object StringColumn4: TStringColumn
        Header = #1047#1072' '#1089#1082#1086#1083#1100#1082#1086
      end
      object StringColumn2: TStringColumn
        Enabled = False
        Visible = False
        Size.Width = 20.000000000000000000
      end
    end
    object Layout4: TLayout
      Align = MostBottom
      Position.X = 16.000000000000000000
      Position.Y = 541.000000000000000000
      Size.Width = 969.000000000000000000
      Size.Height = 40.000000000000000000
      Size.PlatformDefault = False
      TabOrder = 1
      object SpeedButton1: TSpeedButton
        Align = Right
        StyledSettings = [Family, FontColor]
        Margins.Left = 5.000000000000000000
        Position.X = 692.000000000000000000
        Size.Width = 136.000000000000000000
        Size.Height = 40.000000000000000000
        Size.PlatformDefault = False
        StyleLookup = 'buttonstyle'
        Text = #1057#1086#1093#1088#1072#1085#1080#1090#1100
        TextSettings.Font.Size = 14.000000000000000000
        TextSettings.Font.StyleExt = {00020000000000000004000000}
      end
      object SpeedButton4: TSpeedButton
        Align = Right
        StyledSettings = [Family, FontColor]
        Margins.Left = 5.000000000000000000
        Position.X = 833.000000000000000000
        Size.Width = 136.000000000000000000
        Size.Height = 40.000000000000000000
        Size.PlatformDefault = False
        StyleLookup = 'buttonstyle'
        Text = #1054#1095#1080#1089#1090#1080#1090#1100' '#1087#1086#1083#1103
        TextSettings.Font.Size = 14.000000000000000000
        TextSettings.Font.StyleExt = {00020000000000000004000000}
      end
      object Label8: TLabel
        Align = Left
        Size.Width = 57.000000000000000000
        Size.Height = 40.000000000000000000
        Size.PlatformDefault = False
        Text = #1048#1090#1086#1075#1086#1074#1072#1103' '#1094#1077#1085#1072
        TabOrder = 2
      end
      object Edt_full_sum: TEdit
        Touch.InteractiveGestures = [LongTap, DoubleTap]
        Align = Left
        TabOrder = 3
        Position.X = 57.000000000000000000
        Position.Y = 8.000000000000000000
        Margins.Top = 8.000000000000000000
        Margins.Bottom = 8.000000000000000000
        Size.Width = 96.000000000000000000
        Size.Height = 24.000000000000000000
        Size.PlatformDefault = False
      end
    end
    object Layout5: TLayout
      Align = MostRight
      Margins.Top = 16.000000000000000000
      Position.X = 944.000000000000000000
      Position.Y = 172.000000000000000000
      Size.Width = 41.000000000000000000
      Size.Height = 369.000000000000000000
      Size.PlatformDefault = False
      TabOrder = 5
      object SpeedButton5: TSpeedButton
        Align = Top
        Size.Width = 41.000000000000000000
        Size.Height = 33.000000000000000000
        Size.PlatformDefault = False
        StyleLookup = 'additembutton'
        Text = 'SpeedButton5'
        OnClick = SpeedButton5Click
      end
      object SpeedButton6: TSpeedButton
        Align = Top
        Position.Y = 33.000000000000000000
        Size.Width = 41.000000000000000000
        Size.Height = 33.000000000000000000
        Size.PlatformDefault = False
        StyleLookup = 'deleteitembutton'
        Text = 'SpeedButton5'
      end
    end
    object Layout6: TLayout
      Align = MostTop
      Margins.Bottom = 16.000000000000000000
      Position.X = 16.000000000000000000
      Position.Y = 80.000000000000000000
      Size.Width = 969.000000000000000000
      Size.Height = 60.000000000000000000
      Size.PlatformDefault = False
      TabOrder = 2
      object Layout7: TLayout
        Align = MostTop
        Size.Width = 969.000000000000000000
        Size.Height = 24.000000000000000000
        Size.PlatformDefault = False
        TabOrder = 0
        object Label2: TLabel
          Align = Left
          StyledSettings = [Family, Style, FontColor]
          Margins.Right = 16.000000000000000000
          Size.Width = 249.000000000000000000
          Size.Height = 24.000000000000000000
          Size.PlatformDefault = False
          TextSettings.Font.Size = 16.000000000000000000
          Text = #1053#1072#1079#1074#1072#1085#1080#1077
          TabOrder = 0
        end
        object Label3: TLabel
          Align = Left
          StyledSettings = [Family, Style, FontColor]
          Margins.Right = 16.000000000000000000
          Position.X = 265.000000000000000000
          Size.Width = 120.000000000000000000
          Size.Height = 24.000000000000000000
          Size.PlatformDefault = False
          TextSettings.Font.Size = 16.000000000000000000
          Text = #1041#1077#1083#1082#1080
          TabOrder = 5
        end
        object Label4: TLabel
          Align = Left
          StyledSettings = [Family, Style, FontColor]
          Margins.Right = 16.000000000000000000
          Position.X = 401.000000000000000000
          Size.Width = 120.000000000000000000
          Size.Height = 24.000000000000000000
          Size.PlatformDefault = False
          TextSettings.Font.Size = 16.000000000000000000
          Text = #1046#1080#1088#1099
          TabOrder = 4
        end
        object Label5: TLabel
          Align = Left
          StyledSettings = [Family, Style, FontColor]
          Margins.Right = 16.000000000000000000
          Position.X = 537.000000000000000000
          Size.Width = 120.000000000000000000
          Size.Height = 24.000000000000000000
          Size.PlatformDefault = False
          TextSettings.Font.Size = 16.000000000000000000
          Text = #1059#1075#1083#1077#1074#1086#1076#1099
          TabOrder = 3
        end
        object Label6: TLabel
          Align = Left
          StyledSettings = [Family, Style, FontColor]
          Margins.Right = 16.000000000000000000
          Position.X = 673.000000000000000000
          Size.Width = 120.000000000000000000
          Size.Height = 24.000000000000000000
          Size.PlatformDefault = False
          TextSettings.Font.Size = 16.000000000000000000
          Text = #1050#1050#1072#1083
          TabOrder = 2
        end
        object Label7: TLabel
          Align = Left
          StyledSettings = [Family, Style, FontColor]
          Margins.Right = 16.000000000000000000
          Position.X = 809.000000000000000000
          Size.Width = 120.000000000000000000
          Size.Height = 24.000000000000000000
          Size.PlatformDefault = False
          TextSettings.Font.Size = 16.000000000000000000
          Text = #1055#1086#1088#1094#1080#1103
          TabOrder = 1
        end
      end
      object Edit1: TEdit
        Touch.InteractiveGestures = [LongTap, DoubleTap]
        Align = Left
        TabOrder = 6
        Position.Y = 24.000000000000000000
        Margins.Right = 16.000000000000000000
        Size.Width = 249.000000000000000000
        Size.Height = 36.000000000000000000
        Size.PlatformDefault = False
      end
      object Edit2: TEdit
        Touch.InteractiveGestures = [LongTap, DoubleTap]
        Align = Left
        TabOrder = 5
        KeyboardType = NumbersAndPunctuation
        Position.X = 265.000000000000000000
        Position.Y = 24.000000000000000000
        Margins.Right = 16.000000000000000000
        Size.Width = 120.000000000000000000
        Size.Height = 36.000000000000000000
        Size.PlatformDefault = False
      end
      object Edit3: TEdit
        Touch.InteractiveGestures = [LongTap, DoubleTap]
        Align = Left
        TabOrder = 4
        KeyboardType = DecimalNumberPad
        Position.X = 401.000000000000000000
        Position.Y = 24.000000000000000000
        Margins.Right = 16.000000000000000000
        Size.Width = 120.000000000000000000
        Size.Height = 36.000000000000000000
        Size.PlatformDefault = False
      end
      object Edit4: TEdit
        Touch.InteractiveGestures = [LongTap, DoubleTap]
        Align = Left
        TabOrder = 3
        KeyboardType = DecimalNumberPad
        Position.X = 537.000000000000000000
        Position.Y = 24.000000000000000000
        Margins.Right = 16.000000000000000000
        Size.Width = 120.000000000000000000
        Size.Height = 36.000000000000000000
        Size.PlatformDefault = False
      end
      object Edit5: TEdit
        Touch.InteractiveGestures = [LongTap, DoubleTap]
        Align = Left
        TabOrder = 2
        KeyboardType = DecimalNumberPad
        Position.X = 673.000000000000000000
        Position.Y = 24.000000000000000000
        Margins.Right = 16.000000000000000000
        Size.Width = 120.000000000000000000
        Size.Height = 36.000000000000000000
        Size.PlatformDefault = False
      end
      object Edit6: TEdit
        Touch.InteractiveGestures = [LongTap, DoubleTap]
        Align = Left
        TabOrder = 1
        KeyboardType = DecimalNumberPad
        Position.X = 809.000000000000000000
        Position.Y = 24.000000000000000000
        Margins.Right = 16.000000000000000000
        Size.Width = 120.000000000000000000
        Size.Height = 36.000000000000000000
        Size.PlatformDefault = False
      end
    end
  end
  object FDcategories: TFDTable
    IndexFieldNames = 'cat_id'
    Connection = Main_Form.FDConnection
    UpdateOptions.UpdateTableName = 'DISH_CATEGORIES'
    TableName = 'DISH_CATEGORIES'
    Left = 56
    Top = 584
  end
  object BindSourceDB1: TBindSourceDB
    DataSet = FDcategories
    ScopeMappings = <>
    Left = 296
  end
  object BindingsList1: TBindingsList
    Methods = <>
    OutputConverters = <>
    Left = 244
    Top = 5
    object LinkListControlToField1: TLinkListControlToField
      Category = 'Quick Bindings'
      DataSource = BindSourceDB1
      FieldName = 'cat_name'
      Control = ComboBox_categories
      FillExpressions = <>
      FillHeaderExpressions = <>
      FillBreakGroups = <>
    end
    object LinkListControlToField2: TLinkListControlToField
      Category = 'Quick Bindings'
      DataSource = BindSourceDB2
      FieldName = 'dish_name'
      Control = ComboBox_dish_list
      FillExpressions = <>
      FillHeaderExpressions = <>
      FillBreakGroups = <>
    end
    object LinkListControlToField3: TLinkListControlToField
      Category = 'Quick Bindings'
      DataSource = BindSourceDB3
      FieldName = 'prod_name'
      Control = Listbox_product
      FillExpressions = <>
      FillHeaderExpressions = <>
      FillBreakGroups = <>
    end
    object LinkPropertyToFieldTag: TLinkPropertyToField
      Category = 'Quick Bindings'
      DataSource = BindSourceDB3
      FieldName = 'prod_id'
      Component = Listbox_product
      ComponentProperty = 'Tag'
    end
    object LinkPropertyToFieldSelectedTag: TLinkPropertyToField
      Category = 'Quick Bindings'
      DataSource = BindSourceDB3
      FieldName = 'prod_id'
      Component = Listbox_product
      ComponentProperty = 'Selected.Tag'
    end
  end
  object FDdishes: TFDTable
    IndexFieldNames = 'dish_category_id'
    MasterSource = ds_cat_dish
    MasterFields = 'cat_id'
    Connection = Main_Form.FDConnection
    UpdateOptions.UpdateTableName = 'DISHES'
    TableName = 'DISHES'
    Left = 192
    Top = 585
  end
  object ds_cat_dish: TDataSource
    DataSet = FDcategories
    Left = 120
    Top = 584
  end
  object BindSourceDB2: TBindSourceDB
    DataSet = FDdishes
    ScopeMappings = <>
    Left = 288
    Top = 232
  end
  object FDProducts: TFDQuery
    Connection = Main_Form.FDConnection
    Left = 264
    Top = 585
  end
  object BindSourceDB3: TBindSourceDB
    DataSet = FDproduct_list
    ScopeMappings = <>
    Left = 336
    Top = 232
  end
  object FDproduct_list: TFDQuery
    Active = True
    Connection = Main_Form.FDConnection
    SQL.Strings = (
      'SELECT * FROM PRODUCTS ORDER BY prod_name')
    Left = 536
    Top = 409
  end
end
